curl --request POST \
--url https://mention-me.com/api/consumer/{version}/referee/register \
--header 'Content-Type: application/json' \
--data '
{
"referrerMentionMeIdentifier": "",
"referrerToken": "",
"customer": {
"emailAddress": "jane.doe@example.com",
"firstname": "",
"surname": "",
"title": "",
"uniqueIdentifier": "",
"segment": "",
"customField": "",
"visitorId": ""
},
"request": {
"partnerCode": "[YOUR-PARTNER-CODE]",
"situation": "mobile-app",
"localeCode": "en_GB",
"segment": "vip",
"ipAddress": "127.0.0.1",
"userDeviceIdentifier": "",
"deviceType": "",
"appName": "",
"appVersion": "e.g. MyApp/v1.73"
}
}
'import requests
url = "https://mention-me.com/api/consumer/{version}/referee/register"
payload = {
"referrerMentionMeIdentifier": "",
"referrerToken": "",
"customer": {
"emailAddress": "jane.doe@example.com",
"firstname": "",
"surname": "",
"title": "",
"uniqueIdentifier": "",
"segment": "",
"customField": "",
"visitorId": ""
},
"request": {
"partnerCode": "[YOUR-PARTNER-CODE]",
"situation": "mobile-app",
"localeCode": "en_GB",
"segment": "vip",
"ipAddress": "127.0.0.1",
"userDeviceIdentifier": "",
"deviceType": "",
"appName": "",
"appVersion": "e.g. MyApp/v1.73"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
referrerMentionMeIdentifier: '',
referrerToken: '',
customer: {
emailAddress: 'jane.doe@example.com',
firstname: '',
surname: '',
title: '',
uniqueIdentifier: '',
segment: '',
customField: '',
visitorId: ''
},
request: {
partnerCode: '[YOUR-PARTNER-CODE]',
situation: 'mobile-app',
localeCode: 'en_GB',
segment: 'vip',
ipAddress: '127.0.0.1',
userDeviceIdentifier: '',
deviceType: '',
appName: '',
appVersion: 'e.g. MyApp/v1.73'
}
})
};
fetch('https://mention-me.com/api/consumer/{version}/referee/register', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"offer": {
"id": 123,
"localeCode": "<string>",
"headline": "<string>",
"description": "<string>",
"callToAction": "<string>",
"privacyNotice": "<string>",
"privacyLink": "<string>",
"referrerReward": {
"description": "<string>",
"summary": "<string>",
"amount": "<string>"
},
"refereeReward": {
"description": "<string>",
"summary": "<string>",
"amount": "<string>"
}
},
"refereeReward": {
"description": "<string>",
"couponCode": "<string>",
"securityCode": "<string>",
"url": "<string>",
"amount": "<string>"
},
"content": {
"relationship": "content-collection",
"resource": [
{
"key": "<string>",
"content": "<string>"
}
]
},
"termsLinks": {
"localeCode": "<string>",
"linkToTermsInLocale": "<string>"
},
"status": "<string>"
}Register referee
After a successful response from the “Find friend” API, this endpoint allows you to register a new customer to confirm the relationship between the Referee (the friend) and the Referrer (the person who referred them).
Confirming the registration requires the referrerMentionMeIdentifier and referrerToken from the search API response.
To complete the registration, you will need to confirm the registration details of the referee via this API. This will grant the referee their reward, or will inform them on how to obtain one if further action is required (e.g. making a purchase).
Path Parameters
Version
v2, v1 v2|v1Body
Details of the new customer who has been referred
Id representing the referrer returned by a successful name search
""
Token representing the referrer returned by a successful name search
""
Information about the referee to register and give a reward
Show child attributes
Show child attributes
Information about the request
Show child attributes
Show child attributes
Response
Returned when successful
Was this page helpful?